Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.wocompat
Class EOQuery

    java.lang.Object
      org.apache.cayenne.query.AbstractQuery
          org.apache.cayenne.query.QualifiedQuery
              org.apache.cayenne.query.SelectQuery
                  org.apache.cayenne.wocompat.EOQuery

All Implemented Interfaces:
  java.io.Serializable, GenericSelectQuery, ParameterizedQuery, Query, XMLSerializable

    public class EOQuery

extends SelectQuery

A descriptor of SelectQuery loaded from EOModel. It is an informal "decorator" of Cayenne SelectQuery to provide access to the extra information of WebObjects EOFetchSpecification.

Since:
  1.1
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.util.Map` | `bindings`
`protected java.util.Map` | `plistMap`

Fields inherited from class org.apache.cayenne.query.SelectQuery
`customDbAttributes, distinct, DISTINCT_DEFAULT, DISTINCT_PROPERTY, orderings, parentObjEntityName, parentQualifier`

Fields inherited from class org.apache.cayenne.query.QualifiedQuery
`qualifier`

Fields inherited from class org.apache.cayenne.query.AbstractQuery
`name, root`

Fields inherited from interface org.apache.cayenne.query.GenericSelectQuery
`CACHE_POLICY_DEFAULT, CACHE_POLICY_PROPERTY, FETCH_LIMIT_DEFAULT, FETCH_LIMIT_PROPERTY, FETCHING_DATA_ROWS_DEFAULT, FETCHING_DATA_ROWS_PROPERTY, LOCAL_CACHE, NO_CACHE, PAGE_SIZE_DEFAULT, PAGE_SIZE_PROPERTY, REFRESHING_OBJECTS_DEFAULT, REFRESHING_OBJECTS_PROPERTY, RESOLVING_INHERITED_DEFAULT, RESOLVING_INHERITED_PROPERTY, SHARED_CACHE`

Constructor Summary
`EOQuery(ObjEntity root, java.util.Map plistMap)`

Method Summary
`java.lang.String` | `bindingClass(java.lang.String name)`
`java.util.Collection` | `getBindingNames()`
`java.lang.String` | `getEOName()`
`protected void` | `initFromPlist(java.util.Map plistMap)`
`Expression` | `makeQualifier(java.util.Map qualifierMap)` Creates the Expression equivalent of the EOFetchSpecification represented by the Map.

Methods inherited from class org.apache.cayenne.query.SelectQuery
`addCustomDbAttribute, addCustomDbAttributes, addOrdering, addOrdering, addOrdering, addOrderings, addPrefetch, addPrefetches, andParentQualifier, clearOrderings, clearPrefetches, createQuery, createSQLAction, encodeAsXML, getCachePolicy, getCustomDbAttributes, getFetchLimit, getMetaData, getOrderings, getPageSize, getParentObjEntityName, getParentQualifier, getPrefetches, getPrefetchTree, initWithProperties, isDistinct, isFetchingCustomAttributes, isFetchingDataRows, isQualifiedOnParent, isRefreshingObjects, isResolvingInherited, orParentQualifier, queryWithParameters, queryWithParameters, removeOrdering, removePrefetch, route, setCachePolicy, setDistinct, setFetchingDataRows, setFetchLimit, setPageSize, setParentObjEntityName, setParentQualifier, setPrefetchTree, setRefreshingObjects, setResolvingInherited`

Methods inherited from class org.apache.cayenne.query.QualifiedQuery
`andQualifier, getQualifier, orQualifier, setQualifier`

Methods inherited from class org.apache.cayenne.query.AbstractQuery
`getName, getRoot, setName, setRoot, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.query.Query
`getName, getRoot, setName, setRoot`

Methods inherited from interface org.apache.cayenne.query.Query
`getName, getRoot, setName, setRoot`

Field Detail

### plistMap

    protected java.util.Map plistMap

### bindings

    protected java.util.Map bindings

Constructor Detail

### EOQuery

    public EOQuery(ObjEntity root,
                   java.util.Map plistMap)

Method Detail

### initFromPlist

    protected void initFromPlist(java.util.Map plistMap)

### getEOName

    public java.lang.String getEOName()

### getBindingNames

    public java.util.Collection getBindingNames()

### bindingClass

    public java.lang.String bindingClass(java.lang.String name)

### makeQualifier

    public Expression makeQualifier(java.util.Map qualifierMap)

  Creates the Expression equivalent of the EOFetchSpecification represented by the Map.

  Parameters:
    `qualifierMap` - - FetchSpecification to translate
  Returns:
    Expression equivalent to FetchSpecification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.